Page MenuHomePhabricator

spare/unused disks on application servers
Closed, ResolvedPublic

Description

while investigating something else I came across some appservers with sdb present but not mounted, possibly those disks can be put in service or used as spares

mw1233.eqiad.wmnet:       8       16  488386584 sdb
mw1231.eqiad.wmnet:       8       16  488386584 sdb
mw1246.eqiad.wmnet:       8       16  488386584 sdb
mw1236.eqiad.wmnet:       8       16  488386584 sdb
mw1228.eqiad.wmnet:       8       16  488386584 sdb
mw1224.eqiad.wmnet:       8       16  488386584 sdb
mw1250.eqiad.wmnet:       8       16  488386584 sdb
mw1249.eqiad.wmnet:       8       16  488386584 sdb
mw1254.eqiad.wmnet:       8       16  488386584 sdb
mw1226.eqiad.wmnet:       8       16  488386584 sdb
mw1242.eqiad.wmnet:       8       16  488386584 sdb
mw1243.eqiad.wmnet:       8       16  488386584 sdb
mw1234.eqiad.wmnet:       8       16  488386584 sdb
mw1247.eqiad.wmnet:       8       16  488386584 sdb
mw1229.eqiad.wmnet:       8       16  488386584 sdb
mw1253.eqiad.wmnet:       8       16  488386584 sdb
mw1244.eqiad.wmnet:       8       16  488386584 sdb
mw1230.eqiad.wmnet:       8       16  488386584 sdb
mw1225.eqiad.wmnet:       8       16  488386584 sdb
mw1222.eqiad.wmnet:       8       16  488386584 sdb
mw1221.eqiad.wmnet:       8       16  488386584 sdb
mw1251.eqiad.wmnet:       8       16  488386584 sdb
mw1239.eqiad.wmnet:       8       16  488386584 sdb
mw1255.eqiad.wmnet:       8       16  488386584 sdb
mw1245.eqiad.wmnet:       8       16  488386584 sdb
mw1237.eqiad.wmnet:       8       16  488386584 sdb
mw1235.eqiad.wmnet:       8       16  488386584 sdb
mw1256.eqiad.wmnet:       8       16  488386584 sdb
mw1248.eqiad.wmnet:       8       16  488386584 sdb
mw1257.eqiad.wmnet:       8       16  488386584 sdb
mw1238.eqiad.wmnet:       8       16  488386584 sdb
mw1252.eqiad.wmnet:       8       16  488386584 sdb
mw1227.eqiad.wmnet:       8       16  488386584 sdb
mw1241.eqiad.wmnet:       8       16  488386584 sdb
mw1232.eqiad.wmnet:       8       16  488386584 sdb
mw1258.eqiad.wmnet:       8       16  488386584 sdb
mw1223.eqiad.wmnet:       8       16  488386584 sdb
mw1240.eqiad.wmnet:       8       16  488386584 sdb

similarly in codfw

mw2183.codfw.wmnet:       8       16  488386584 sdb
mw2149.codfw.wmnet:       8       16  488386584 sdb
mw2156.codfw.wmnet:       8       16  488386584 sdb
mw2135.codfw.wmnet:       8       16  488386584 sdb
mw2153.codfw.wmnet:       8       16  488386584 sdb
mw2169.codfw.wmnet:       8       16  488386584 sdb
mw2154.codfw.wmnet:       8       16  488386584 sdb
mw2214.codfw.wmnet:       8       16  488386584 sdb
mw2147.codfw.wmnet:       8       16  488386584 sdb
mw2155.codfw.wmnet:       8       16  488386584 sdb
mw2148.codfw.wmnet:       8       16  488386584 sdb
mw2173.codfw.wmnet:       8       16  488386584 sdb
mw2190.codfw.wmnet:       8       16  488386584 sdb
mw2174.codfw.wmnet:       8       16  488386584 sdb
mw2207.codfw.wmnet:       8       16  488386584 sdb
mw2177.codfw.wmnet:       8       16  488386584 sdb
mw2209.codfw.wmnet:       8       16  488386584 sdb
mw2175.codfw.wmnet:       8       16  488386584 sdb
mw2198.codfw.wmnet:       8       16  488386584 sdb
mw2199.codfw.wmnet:       8       16  488386584 sdb
mw2158.codfw.wmnet:       8       16  488386584 sdb
mw2172.codfw.wmnet:       8       16  488386584 sdb
mw2162.codfw.wmnet:       8       16  488386584 sdb
mw2161.codfw.wmnet:       8       16  488386584 sdb
mw2136.codfw.wmnet:       8       16  488386584 sdb
mw2163.codfw.wmnet:       8       16  488386584 sdb
mw2181.codfw.wmnet:       8       16  488386584 sdb
mw2185.codfw.wmnet:       8       16  488386584 sdb
mw2171.codfw.wmnet:       8       16  488386584 sdb
mw2186.codfw.wmnet:       8       16  488386584 sdb
mw2179.codfw.wmnet:       8       16  488386584 sdb
mw2187.codfw.wmnet:       8       16  488386584 sdb
mw2137.codfw.wmnet:       8       16  488386584 sdb
mw2157.codfw.wmnet:       8       16  488386584 sdb
mw2210.codfw.wmnet:       8       16  488386584 sdb
mw2192.codfw.wmnet:       8       16  488386584 sdb
mw2168.codfw.wmnet:       8       16  488386584 sdb
mw2212.codfw.wmnet:       8       16  488386584 sdb
mw2211.codfw.wmnet:       8       16  488386584 sdb
mw2203.codfw.wmnet:       8       16  488386584 sdb
mw2195.codfw.wmnet:       8       16  488386584 sdb
mw2145.codfw.wmnet:       8       16  488386584 sdb
mw2184.codfw.wmnet:       8       16  488386584 sdb
mw2205.codfw.wmnet:       8       16  488386584 sdb
mw2206.codfw.wmnet:       8       16  488386584 sdb
mw2196.codfw.wmnet:       8       16  488386584 sdb
mw2197.codfw.wmnet:       8       16  488386584 sdb
mw2200.codfw.wmnet:       8       16  488386584 sdb
mw2140.codfw.wmnet:       8       16  488386584 sdb
mw2202.codfw.wmnet:       8       16  488386584 sdb
mw2139.codfw.wmnet:       8       16  488386584 sdb
mw2151.codfw.wmnet:       8       16  488386584 sdb
mw2159.codfw.wmnet:       8       16  488386584 sdb
mw2146.codfw.wmnet:       8       16  488386584 sdb
mw2204.codfw.wmnet:       8       16  488386584 sdb
mw2170.codfw.wmnet:       8       16  488386584 sdb
mw2150.codfw.wmnet:       8       16  488386584 sdb
mw2176.codfw.wmnet:       8       16  488386584 sdb
mw2141.codfw.wmnet:       8       16  488386584 sdb
mw2164.codfw.wmnet:       8       16  488386584 sdb
mw2178.codfw.wmnet:       8       16  488386584 sdb
mw2138.codfw.wmnet:       8       16  488386584 sdb
mw2193.codfw.wmnet:       8       16  488386584 sdb
mw2191.codfw.wmnet:       8       16  488386584 sdb
mw2167.codfw.wmnet:       8       16  488386584 sdb
mw2143.codfw.wmnet:       8       16  488386584 sdb
mw2188.codfw.wmnet:       8       16  488386584 sdb
mw2189.codfw.wmnet:       8       16  488386584 sdb
mw2201.codfw.wmnet:       8       16  488386584 sdb
mw2144.codfw.wmnet:       8       16  488386584 sdb
mw2165.codfw.wmnet:       8       16  488386584 sdb
mw2180.codfw.wmnet:       8       16  488386584 sdb
mw2213.codfw.wmnet:       8       16  488386584 sdb
mw2166.codfw.wmnet:       8       16  488386584 sdb
mw2142.codfw.wmnet:       8       16  488386584 sdb
mw2182.codfw.wmnet:       8       16  488386584 sdb
mw2194.codfw.wmnet:       8       16  488386584 sdb
mw2152.codfw.wmnet:       8       16  488386584 sdb
mw2160.codfw.wmnet:       8       16  488386584 sdb

Event Timeline

fgiunchedi raised the priority of this task from to Normal.
fgiunchedi updated the task description. (Show Details)
fgiunchedi added a project: acl*sre-team.
fgiunchedi added a subscriber: fgiunchedi.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptJul 21 2015, 2:37 PM
fgiunchedi updated the task description. (Show Details)Jul 21 2015, 2:52 PM
fgiunchedi set Security to None.

still some machines with spare sdb, though some might be slated for decommission/replacement

root@neodymium:~# salt -b 50 -t 20 --output=raw mw* cmd.run 'grep -q sdb /etc/fstab || grep sdb$ /proc/partitions' | grep sdb
{'mw2209.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2164.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1249.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2188.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2204.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2211.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2155.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2208.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2136.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2137.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2168.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1226.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2190.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1257.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2183.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2139.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1231.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2156.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2140.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2163.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1230.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1256.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2206.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1253.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2207.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2135.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1228.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1250.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2199.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2154.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2159.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2187.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1236.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1239.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2147.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2166.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2150.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1240.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2143.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1237.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1233.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2194.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1225.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2193.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2178.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2162.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1255.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1251.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1238.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1234.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2198.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2151.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2214.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2144.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2182.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2181.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1246.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2160.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2196.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2153.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1248.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2200.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1254.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2205.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2201.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2202.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1227.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1222.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2161.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2152.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2157.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1232.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2212.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2170.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1252.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2141.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2179.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2142.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2203.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2213.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1258.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1260.eqiad.wmnet': '   8       16  976762584 sdb'}
{'mw2171.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2172.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1241.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2185.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1224.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1235.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2138.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2169.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2146.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2145.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2195.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1243.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2148.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2191.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2176.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2177.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2180.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2189.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2210.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2158.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2149.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1247.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2167.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1229.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1242.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1259.eqiad.wmnet': '   8       16  976762584 sdb'}
{'mw1245.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2175.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2165.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1244.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2186.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2197.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2192.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1221.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2184.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2174.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1223.eqiad.wmnet': '   8       16  488386584 sdb'}
Joe added a subscriber: Joe.May 27 2016, 1:56 PM
Volans added a subscriber: Volans.Nov 23 2016, 10:01 AM

One of those just failed today, the only sign from Icinga is that puppet failed: T151427

Many of those were reimaged to Jessie but apparently were not modified to use the second disk to have a software RAID1.

Dzahn added a subscriber: Dzahn.Dec 22 2016, 8:29 PM

updated list:

[neodymium:~] $ sudo salt -b 50 -t 20 --output=raw mw* cmd.run 'grep -q sdb /etc/fstab || grep sdb$ /proc/partitions' | grep sdb
{'mw2157.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2160.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2137.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2235.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2206.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2219.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1263.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2213.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1294.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1306.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1228.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2195.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1286.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2199.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2223.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2232.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2148.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1299.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2159.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1274.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2238.codfw.wmnet': '   8       16  488386584 sdb'}
{'mwlog2001.codfw.wmnet': '   8       16 3907018584 sdb'}
{'mw2249.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1303.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1248.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2226.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1297.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2200.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1239.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2186.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2141.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1284.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2147.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1265.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1280.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2225.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2217.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2197.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1253.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2179.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1287.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2164.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1249.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1243.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2218.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1283.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2161.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2174.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2171.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2246.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2204.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2209.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1254.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2208.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1252.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2240.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1261.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2136.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1289.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2187.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1236.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1262.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1277.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1247.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2243.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2205.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2196.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1226.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1278.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1222.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1259.eqiad.wmnet': '   8       16  976762584 sdb'}
{'mw2151.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2194.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1271.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2221.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1300.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1276.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1296.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2191.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1302.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2230.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1251.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2166.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2248.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2212.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2211.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2177.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2180.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1268.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1290.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2220.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2140.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2149.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1256.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1232.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1242.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1240.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1267.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2143.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2201.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2202.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1227.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2168.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1238.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2193.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1237.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2207.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2190.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2237.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2231.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2188.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1230.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1244.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2150.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1234.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2198.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2185.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1235.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2236.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1231.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2156.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2158.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2224.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1285.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1275.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2167.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1229.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2182.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2181.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2247.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2178.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1246.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2169.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2210.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2142.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1288.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1281.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1233.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1293.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2228.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1245.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2175.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2239.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1260.eqiad.wmnet': '   8       16  976762584 sdb'}
{'mw1225.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1264.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2152.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1258.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2250.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2172.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2216.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2162.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1255.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1257.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2144.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2173.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2227.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2154.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1295.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2233.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2135.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1272.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2153.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1269.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2165.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1250.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1266.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1223.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2222.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1282.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2192.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1241.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1221.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2184.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2242.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2241.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1224.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2245.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2214.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2183.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2138.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2170.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2215.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1270.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2163.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1298.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1273.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2244.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2234.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1305.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2189.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2176.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1304.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw1279.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2229.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw1301.eqiad.wmnet': '   8       16  488386584 sdb'}
{'mw2146.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2145.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2203.codfw.wmnet': '   8       16  488386584 sdb'}
{'mw2155.codfw.wmnet': '   8       16  488386584 sdb'}
{'mwlog1001.eqiad.wmnet': '   8       16 3907018584 sdb'}

thanks @Dzahn ! I noticed there were false positives in the list (mwlog), here's a more accurate command that weeds out those

neodymium:~$ sudo salt -l quiet -t 4 --output=txt 'mw*' cmd.run 'grep -q sdb$ /proc/partitions && { grep -q sdb /proc/mdstat 2>/dev/null || echo "no sdb in mdstat or no raid"; }'
mw1223.eqiad.wmnet: no sdb in mdstat or no raid
mw1221.eqiad.wmnet: no sdb in mdstat or no raid
mw1245.eqiad.wmnet: no sdb in mdstat or no raid
mw1226.eqiad.wmnet: no sdb in mdstat or no raid
mw1234.eqiad.wmnet: no sdb in mdstat or no raid
mw1242.eqiad.wmnet: no sdb in mdstat or no raid
mw1246.eqiad.wmnet: no sdb in mdstat or no raid
mw1254.eqiad.wmnet: no sdb in mdstat or no raid
mw1232.eqiad.wmnet: no sdb in mdstat or no raid
mw1229.eqiad.wmnet: no sdb in mdstat or no raid
mw1240.eqiad.wmnet: no sdb in mdstat or no raid
mw1252.eqiad.wmnet: no sdb in mdstat or no raid
mw1251.eqiad.wmnet: no sdb in mdstat or no raid
mw1224.eqiad.wmnet: no sdb in mdstat or no raid
mw1227.eqiad.wmnet: no sdb in mdstat or no raid
mw1222.eqiad.wmnet: no sdb in mdstat or no raid
mw1231.eqiad.wmnet: no sdb in mdstat or no raid
mw1236.eqiad.wmnet: no sdb in mdstat or no raid
mw1241.eqiad.wmnet: no sdb in mdstat or no raid
mw1258.eqiad.wmnet: no sdb in mdstat or no raid
mw1228.eqiad.wmnet: no sdb in mdstat or no raid
mw1255.eqiad.wmnet: no sdb in mdstat or no raid
mw1243.eqiad.wmnet: no sdb in mdstat or no raid
mw1244.eqiad.wmnet: no sdb in mdstat or no raid
mw1235.eqiad.wmnet: no sdb in mdstat or no raid
mw1250.eqiad.wmnet: no sdb in mdstat or no raid
mw1249.eqiad.wmnet: no sdb in mdstat or no raid
mw1230.eqiad.wmnet: no sdb in mdstat or no raid
mw1238.eqiad.wmnet: no sdb in mdstat or no raid
mw1247.eqiad.wmnet: no sdb in mdstat or no raid
mw1237.eqiad.wmnet: no sdb in mdstat or no raid
mw1225.eqiad.wmnet: no sdb in mdstat or no raid
mw1257.eqiad.wmnet: no sdb in mdstat or no raid
mw1256.eqiad.wmnet: no sdb in mdstat or no raid
mw1239.eqiad.wmnet: no sdb in mdstat or no raid
mw1253.eqiad.wmnet: no sdb in mdstat or no raid
mw1248.eqiad.wmnet: no sdb in mdstat or no raid
mw1233.eqiad.wmnet: no sdb in mdstat or no raid
mw2189.codfw.wmnet: no sdb in mdstat or no raid
mw2193.codfw.wmnet: no sdb in mdstat or no raid
mw2162.codfw.wmnet: no sdb in mdstat or no raid
mw2158.codfw.wmnet: no sdb in mdstat or no raid
mw2169.codfw.wmnet: no sdb in mdstat or no raid
mw2135.codfw.wmnet: no sdb in mdstat or no raid
mw2168.codfw.wmnet: no sdb in mdstat or no raid
mw2137.codfw.wmnet: no sdb in mdstat or no raid
mw2141.codfw.wmnet: no sdb in mdstat or no raid
mw2138.codfw.wmnet: no sdb in mdstat or no raid
mw2179.codfw.wmnet: no sdb in mdstat or no raid
mw2171.codfw.wmnet: no sdb in mdstat or no raid
mw2156.codfw.wmnet: no sdb in mdstat or no raid
mw2167.codfw.wmnet: no sdb in mdstat or no raid
mw2157.codfw.wmnet: no sdb in mdstat or no raid
mw2149.codfw.wmnet: no sdb in mdstat or no raid
mw2159.codfw.wmnet: no sdb in mdstat or no raid
mw2185.codfw.wmnet: no sdb in mdstat or no raid
mw2192.codfw.wmnet: no sdb in mdstat or no raid
mw2161.codfw.wmnet: no sdb in mdstat or no raid
mw2196.codfw.wmnet: no sdb in mdstat or no raid
mw2182.codfw.wmnet: no sdb in mdstat or no raid
mw2175.codfw.wmnet: no sdb in mdstat or no raid
mw2147.codfw.wmnet: no sdb in mdstat or no raid
mw2195.codfw.wmnet: no sdb in mdstat or no raid
mw2172.codfw.wmnet: no sdb in mdstat or no raid
mw2148.codfw.wmnet: no sdb in mdstat or no raid
mw2170.codfw.wmnet: no sdb in mdstat or no raid
mw2174.codfw.wmnet: no sdb in mdstat or no raid
mw2173.codfw.wmnet: no sdb in mdstat or no raid
mw2154.codfw.wmnet: no sdb in mdstat or no raid
mw2197.codfw.wmnet: no sdb in mdstat or no raid
mw2163.codfw.wmnet: no sdb in mdstat or no raid
mw2160.codfw.wmnet: no sdb in mdstat or no raid
mw2142.codfw.wmnet: no sdb in mdstat or no raid
mw2190.codfw.wmnet: no sdb in mdstat or no raid
mw2184.codfw.wmnet: no sdb in mdstat or no raid
mw2155.codfw.wmnet: no sdb in mdstat or no raid
mw2176.codfw.wmnet: no sdb in mdstat or no raid
mw2152.codfw.wmnet: no sdb in mdstat or no raid
mw2140.codfw.wmnet: no sdb in mdstat or no raid
mw2166.codfw.wmnet: no sdb in mdstat or no raid
mw2143.codfw.wmnet: no sdb in mdstat or no raid
mw2153.codfw.wmnet: no sdb in mdstat or no raid
mw2191.codfw.wmnet: no sdb in mdstat or no raid
mw2198.codfw.wmnet: no sdb in mdstat or no raid
mw2146.codfw.wmnet: no sdb in mdstat or no raid
mw2181.codfw.wmnet: no sdb in mdstat or no raid
mw2183.codfw.wmnet: no sdb in mdstat or no raid
mw2177.codfw.wmnet: no sdb in mdstat or no raid
mw2150.codfw.wmnet: no sdb in mdstat or no raid
mw2144.codfw.wmnet: no sdb in mdstat or no raid
mw2180.codfw.wmnet: no sdb in mdstat or no raid
mw2199.codfw.wmnet: no sdb in mdstat or no raid
mw2187.codfw.wmnet: no sdb in mdstat or no raid
mw2194.codfw.wmnet: no sdb in mdstat or no raid
mw2136.codfw.wmnet: no sdb in mdstat or no raid
mw2186.codfw.wmnet: no sdb in mdstat or no raid
mw2164.codfw.wmnet: no sdb in mdstat or no raid
mw2188.codfw.wmnet: no sdb in mdstat or no raid
mw2178.codfw.wmnet: no sdb in mdstat or no raid
mw2165.codfw.wmnet: no sdb in mdstat or no raid
mw2145.codfw.wmnet: no sdb in mdstat or no raid
mw2151.codfw.wmnet: no sdb in mdstat or no raid

Change 428961 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] install_server: let mw21[6-9] have software RAID

https://gerrit.wikimedia.org/r/428961

Change 428961 merged by Dzahn:
[operations/puppet@production] install_server: let mw21[6-9][0-9] have software RAID

https://gerrit.wikimedia.org/r/428961

Change 429158 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Use mw-raid1.cfg partman recipe for mw1221-mw1258

https://gerrit.wikimedia.org/r/429158

Change 429158 merged by Muehlenhoff:
[operations/puppet@production] Use mw-raid1.cfg partman recipe for mw1221-mw1258

https://gerrit.wikimedia.org/r/429158

Change 429175 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Remove partman fallback for mediawiki hosts to single disk partman recipe

https://gerrit.wikimedia.org/r/429175

Change 429370 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] install_server: let all mw2* hosts use raid1-lvm partman

https://gerrit.wikimedia.org/r/429370

Change 429175 merged by Muehlenhoff:
[operations/puppet@production] Remove partman fallback for mediawiki hosts to single disk partman recipe

https://gerrit.wikimedia.org/r/429175

Change 429370 merged by Dzahn:
[operations/puppet@production] install_server: let all mw2* hosts use raid1-lvm partman

https://gerrit.wikimedia.org/r/429370

several have been fixed. updated output, now using cumin instead of salt:

eqiad:

mw1221.eqiad.wmnet: no sdb in mdstat or no raid
mw1222.eqiad.wmnet: no sdb in mdstat or no raid
mw1223.eqiad.wmnet: no sdb in mdstat or no raid
mw1224.eqiad.wmnet: no sdb in mdstat or no raid
mw1225.eqiad.wmnet: no sdb in mdstat or no raid
mw1226.eqiad.wmnet: no sdb in mdstat or no raid
mw1227.eqiad.wmnet: no sdb in mdstat or no raid
mw1229.eqiad.wmnet: no sdb in mdstat or no raid
mw1231.eqiad.wmnet: no sdb in mdstat or no raid
mw1232.eqiad.wmnet: no sdb in mdstat or no raid
mw1233.eqiad.wmnet: no sdb in mdstat or no raid
mw1234.eqiad.wmnet: no sdb in mdstat or no raid
mw1235.eqiad.wmnet: no sdb in mdstat or no raid
mw1238.eqiad.wmnet: no sdb in mdstat or no raid
mw1239.eqiad.wmnet: no sdb in mdstat or no raid
mw1240.eqiad.wmnet: no sdb in mdstat or no raid
mw1241.eqiad.wmnet: no sdb in mdstat or no raid
mw1242.eqiad.wmnet: no sdb in mdstat or no raid
mw1243.eqiad.wmnet: no sdb in mdstat or no raid
mw1244.eqiad.wmnet: no sdb in mdstat or no raid
mw1245.eqiad.wmnet: no sdb in mdstat or no raid
mw1246.eqiad.wmnet: no sdb in mdstat or no raid
mw1247.eqiad.wmnet: no sdb in mdstat or no raid
mw1248.eqiad.wmnet: no sdb in mdstat or no raid
mw1249.eqiad.wmnet: no sdb in mdstat or no raid
mw1250.eqiad.wmnet: no sdb in mdstat or no raid
mw1251.eqiad.wmnet: no sdb in mdstat or no raid
mw1252.eqiad.wmnet: no sdb in mdstat or no raid
mw1253.eqiad.wmnet: no sdb in mdstat or no raid
mw1254.eqiad.wmnet: no sdb in mdstat or no raid
mw1255.eqiad.wmnet: no sdb in mdstat or no raid
mw1256.eqiad.wmnet: no sdb in mdstat or no raid
mw1257.eqiad.wmnet: no sdb in mdstat or no raid
mw1258.eqiad.wmnet: no sdb in mdstat or no raid
mw1275.eqiad.wmnet: ssh: connect to host mw1275.eqiad.wmnet port 22: Connection timed out

codfw:

mw2135.codfw.wmnet: no sdb in mdstat or no raid
mw2136.codfw.wmnet: no sdb in mdstat or no raid
mw2137.codfw.wmnet: no sdb in mdstat or no raid
mw2138.codfw.wmnet: no sdb in mdstat or no raid
mw2140.codfw.wmnet: no sdb in mdstat or no raid
mw2141.codfw.wmnet: no sdb in mdstat or no raid
mw2142.codfw.wmnet: no sdb in mdstat or no raid
mw2143.codfw.wmnet: no sdb in mdstat or no raid
mw2144.codfw.wmnet: no sdb in mdstat or no raid
mw2145.codfw.wmnet: no sdb in mdstat or no raid
mw2146.codfw.wmnet: no sdb in mdstat or no raid
mw2147.codfw.wmnet: no sdb in mdstat or no raid
mw2150.codfw.wmnet: no sdb in mdstat or no raid
mw2151.codfw.wmnet: no sdb in mdstat or no raid
mw2152.codfw.wmnet: no sdb in mdstat or no raid
mw2153.codfw.wmnet: no sdb in mdstat or no raid
mw2154.codfw.wmnet: no sdb in mdstat or no raid
mw2155.codfw.wmnet: no sdb in mdstat or no raid
mw2156.codfw.wmnet: no sdb in mdstat or no raid
mw2157.codfw.wmnet: no sdb in mdstat or no raid
mw2158.codfw.wmnet: no sdb in mdstat or no raid
mw2159.codfw.wmnet: no sdb in mdstat or no raid
mw2160.codfw.wmnet: no sdb in mdstat or no raid
mw2161.codfw.wmnet: no sdb in mdstat or no raid
mw2162.codfw.wmnet: no sdb in mdstat or no raid
mw2174.codfw.wmnet: no sdb in mdstat or no raid
mw2175.codfw.wmnet: no sdb in mdstat or no raid
mw2176.codfw.wmnet: no sdb in mdstat or no raid
mw2177.codfw.wmnet: no sdb in mdstat or no raid
mw2178.codfw.wmnet: no sdb in mdstat or no raid
mw2179.codfw.wmnet: no sdb in mdstat or no raid
mw2180.codfw.wmnet: no sdb in mdstat or no raid
mw2181.codfw.wmnet: no sdb in mdstat or no raid
mw2182.codfw.wmnet: no sdb in mdstat or no raid
mw2183.codfw.wmnet: no sdb in mdstat or no raid
mw2184.codfw.wmnet: no sdb in mdstat or no raid
mw2185.codfw.wmnet: no sdb in mdstat or no raid
mw2186.codfw.wmnet: no sdb in mdstat or no raid
mw2187.codfw.wmnet: no sdb in mdstat or no raid
mw2188.codfw.wmnet: no sdb in mdstat or no raid
mw2189.codfw.wmnet: no sdb in mdstat or no raid
mw2190.codfw.wmnet: no sdb in mdstat or no raid
mw2191.codfw.wmnet: no sdb in mdstat or no raid
mw2192.codfw.wmnet: no sdb in mdstat or no raid
mw2193.codfw.wmnet: no sdb in mdstat or no raid
mw2194.codfw.wmnet: no sdb in mdstat or no raid
mw2195.codfw.wmnet: no sdb in mdstat or no raid
mw2196.codfw.wmnet: no sdb in mdstat or no raid
mw2197.codfw.wmnet: no sdb in mdstat or no raid
mw2198.codfw.wmnet: no sdb in mdstat or no raid
mw2199.codfw.wmnet: no sdb in mdstat or no raid
mw2246.codfw.wmnet: no sdb in mdstat or no raid

MoritzMuehlenhoff closed this task as Resolved.May 7 2018, 10:07 AM
MoritzMuehlenhoff claimed this task.

All our current mediawiki servers have two disks and all partman recipes were switched to use mw-raid1-lvm.cfg (and mw-raid.cfg which some of the older ones were already running). Most of the servers which used the old recipe have picked up the new partitioning via stretch reimages. There's a few reimages which happened before the recipes were migrated, but it's not really worth to re-reimage those again. Those servers are mostly up for hardware refreshment in next FY anyway (and mediawiki servers are working fine with a single disk setup anyway).

Change 436767 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Remove obsolete partman recipe

https://gerrit.wikimedia.org/r/436767